uk.gov.hmrc.address.services

# CsvLineSplitter

###
Related Doc: package services

#### class CsvLineSplitter extends Iterator[Array[String]]

Raw-Java style fast line splitter for CSV files. This uses the Univocity API for high performance.

Linear Supertypes
Iterator[Array[String]], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CsvLineSplitter
2. Iterator
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CsvLineSplitter(string: String)

2. #### new CsvLineSplitter(is: InputStream)

3. #### new CsvLineSplitter(reader: Reader)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### def forEachRemaining(arg0: Consumer[_ >: Array[String]]): Unit

   Definition Classes
     Iterator

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hasNext(): Boolean

    Definition Classes
      CsvLineSplitter → Iterator

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def next(): Array[String]

    Definition Classes
      CsvLineSplitter → Iterator

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def remove(): Unit

    Definition Classes
      Iterator

19. #### def stopParsing(): Unit

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Iterator[Array[String]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped